Package com.xebialabs.xlrelease.domain.events

## Class CommentCreatedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction4<Task,​Comment,​java.lang.String,​java.lang.Object,​CommentCreatedEvent>
  - - com.xebialabs.xlrelease.domain.events.CommentCreatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function4<Task,​Comment,​java.lang.String,​java.lang.Object,​CommentCreatedEvent>`

      public class CommentCreatedEvent$
      extends scala.runtime.AbstractFunction4<Task,​Comment,​java.lang.String,​java.lang.Object,​CommentCreatedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CommentCreatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentCreatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `$lessinit$greater$default$4()` |
    `CommentCreatedEvent` | `apply​(Task task, Comment comment, java.lang.String author, boolean createdByUser)` |
    `boolean` | `apply$default$4()` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple4<Task,​Comment,​java.lang.String,​java.lang.Object>>` | `unapply​(CommentCreatedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction4

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Function4

      `apply`

- - ### Field Detail

    - #### MODULE$

          public static final CommentCreatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### CommentCreatedEvent$

          public CommentCreatedEvent$()

  - ### Method Detail

    - #### $lessinit$greater$default$4

          public boolean $lessinit$greater$default$4()

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function4<Task,​Comment,​java.lang.String,​java.lang.Object,​CommentCreatedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction4<Task,​Comment,​java.lang.String,​java.lang.Object,​CommentCreatedEvent>`

    - #### apply

          public CommentCreatedEvent apply​(Task task,
                                           Comment comment,
                                           java.lang.String author,
                                           boolean createdByUser)

    - #### apply$default$4

          public boolean apply$default$4()

    - #### unapply

          public scala.Option<scala.Tuple4<Task,​Comment,​java.lang.String,​java.lang.Object>> unapply​(CommentCreatedEvent x$0)